# Class Mixer.Info

java.lang.Object
javax.sound.sampled.Mixer.Info

Enclosing interface:
  `Mixer`

public static class Mixer.Info extends Object
The `Mixer.Info` class represents information about an audio mixer, including the product's name, version, and vendor, along with a textual description. This information may be retrieved through the `getMixerInfo` method of the `Mixer` interface.

Since:
  1.3

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Info(String name, String vendor, String description, String version)`
  Constructs a mixer's info object, passing it the given textual information.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object obj)`
  Indicates whether the specified object is equal to this info object, returning `true` if the objects are the same.
  `final String`
  `getDescription()`
  Obtains the description of the mixer.
  `final String`
  `getName()`
  Obtains the name of the mixer.
  `final String`
  `getVendor()`
  Obtains the vendor of the mixer.
  `final String`
  `getVersion()`
  Obtains the version of the mixer.
  `final int`
  `hashCode()`
  Returns a hash code value for this info object.
  `final String`
  `toString()`
  Returns a string representation of the info object.

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### Info

    protected Info(String name, String vendor, String description, String version)
    Constructs a mixer's info object, passing it the given textual information.
    Parameters:
      `name` - the name of the mixer
      `vendor` - the company who manufactures or creates the hardware or software mixer
      `description` - descriptive text about the mixer
      `version` - version information for the mixer

- ## Method Details

  - ### equals

    public final boolean equals(Object obj)
    Indicates whether the specified object is equal to this info object, returning `true` if the objects are the same.
    Overrides:
      `equals` in class `Object`
    Parameters:
      `obj` - the reference object with which to compare
    Returns:
      `true` if the specified object is equal to this info object; `false` otherwise
    See Also:
      - `Object.hashCode()`
      - `HashMap`

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this info object.
    Overrides:
      `hashCode` in class `Object`
    Returns:
      a hash code value for this info object
    See Also:
      - `Object.equals(java.lang.Object)`
      - `System.identityHashCode(Object)`

  - ### getName

    public final String getName()
    Obtains the name of the mixer.
    Returns:
      a string that names the mixer

  - ### getVendor

    public final String getVendor()
    Obtains the vendor of the mixer.
    Returns:
      a string that names the mixer's vendor

  - ### getDescription

    public final String getDescription()
    Obtains the description of the mixer.
    Returns:
      a textual description of the mixer

  - ### getVersion

    public final String getVersion()
    Obtains the version of the mixer.
    Returns:
      textual version information for the mixer

  - ### toString

    public final String toString()
    Returns a string representation of the info object.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of the info object